Subject: Trainer Candidate - Balagovind Nair
From: Balagovind Nair <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 28 Apr 2021 02:28:55 -0400

| | Tech Support Test

Name | Balagovind Nair
E-mail | [email-masked]
Phone Number | (0821) 2416112
Do you have your own transportation (2 or 4 wheeler) or are you able to commute to office without using Metro? Our office is located in Noida Sector 2, near Noida - Sector 15 Metro Station | I have my own 2/4 wheeler transport
Where do you currently live (area) | Mysore

Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA

| Name of Company | Designation | Last working day | Monthly Salary (inhand)
Current Employer | CMS & Third Eye Tech | Director | Present | 50k
Previous Employer 1 | CMS | ED | Present | 70K
Previous Employer 2 | Team Lease | Trainer | Present | 20K

If Selected, how much time do you need to join? | 15 Days

Please briefly describe your work experience specifically in training?

An accomplished professional with over 25 years of cross - functional experience in Business management, Sales territory management, Business Development, Client Relationship Management and Team Management.

Currently associated with Team Lease, Reliance Foundation/Jio Mart as Skill & Process Trainer and as Director – Business Development with CMS & Third Eye Technology and Solutions, Kerala.

Skilled in team supervision and client relationship management as well as exceptional communication abilities to effectively convey the message and accomplish targets.

An effective communicator and team leader with proven team – building, Training & management abilities.

Skills Trainer -19 years’ Experience:

▪Provide middle school/college students and Trainees/Corporate employees with Soft Skills/Process/Product such as Communication, Goal setting and conflict resolution, Critical analysis, Adaptability, Problem Solving, Team work, Time Management, Motivation in Skills and Retail/Jio Prim Partner (Jio Mart) in Process/Product Training.

▪ Hold and monitor in class/ Virtual Class discussion on how these skills & Process apply to everyday/working life.

▪ Lead interactive activities that simplify the meaning of these skills & Process.

Thanks

Have you worked as a trainer in a Call Center/Customer Service/BPO Environment? | Yes

Please tell us below in 300 - 500 words about the most difficult situation you faced either while training or managing a team.

The most difficult time started in 2020, as I have always taken in class session but due to pandemic it turned into Virtual and managing 30-35 trainees online was bit difficult to start with but now, I am very proficient in the same and also in handling all my trainees in the best comfy way.

I am a born leader with loads of confidence and ready for any domain to explore, learn and educate myself and be of service to others.

I am very passionate about training because I love what I do.

Thanks

What according to you is the difference between good and great customer service. (Explain in 4 - 6 sentences) | Customer is God in Every Business. So Listen & Understand customer need first than provide service or Solution for great CS.

What according to you makes you a good candidate for this position?

I love training its my passion!

Being Born and brought up in an Army family background, made me more comfortable in developing my personality and adoption of multilingual, culture and understanding of people.

I am self-motivated and self-directed, and have demonstrated ability to train / work well with trainees, teams and management. I possess the ability to motivate and maintain effective training/working relationships with trainees , staff and partners and I am well experienced in coaching, mentoring and motivating.

Thanks

On a scale of 1 - 5 please rate your fluency in spoken English | 5

| |